License Agreement

Welcome to The MagicBook help file

When you first run The MagicBook, you will notice that it's unlike any other computerised coloring books for kids. Its clean interface, with bold picture and groovy sound effects ensures hours of fun for the little ones. Allow them to develop their computer and artistic skills whilst they are completely absorbed in the fun filled world of The MagicBook!

Some great features for the kids:

  • Random, fun sound effects to keep the kids amused.
  • Large oversized buttons so that their little hands don’t click the wrong thing.
  • Kid friendly mouse buttons allows them to make selection with any of the mouse buttons.
  • Clean interface with graphical buttons suitable for children of all ages.
  • Fun way to select colors for painting with (they will have hours of fun with this feature!).
  • Three different tools (crayons, paint brush, pencil) that produce the results like real mediums.
  • Unique image processing engine ensures that all painted images turn out perfect, every time.
  • Great picture to colour too!

And some for you:

  • Child friendly error messages that will allow them to alert you of problems.
  • Parental lock feature means that you can go away and let children explore at their own pace.
  • Print images directly from The MagicBook. They will be automatically resized to fit onto the page.
  • Options to switch sounds off, hide the parental buttons and to apply parental lock.
  • Colored images are saved as compressed pictures so they don’t take up too much space.
  • The keyboard is locked while the software is running. So no kid smart on the computer will be able to outsmart you!
  • Help file covering all aspects of the software.

I hope you and your children enjoy using this software as much as I did making it!


DLL Errors

Running for the first time

When you run The MagicBook, you will be asked to fill in the options window. This allows you to set several settings as well as apply parental password so that your kids do not mess up the computer whilst you are unable to keep an eye on them.

In the settings window, you MUST enter a password. If you press 'Cancel', the program will end, if you wish to continue, press 'OK'.

You can always change the password and the settings later; for details on how to do this, see the section titled 'The options window'.

Once you complete this window, the main program begin by opening the 'Open picture' window. Details on how to deal with this can be found here.


DLL Errors

The options window

The options window allows you to control how The MagicBook program functions.

Play sound effects: Allows you to switch ON/OFF wacky sound effects.

Allow quitting without permission: Allows you to quit the program without asking for a password.

Auto hide parental buttons: If ticked, it will hide the Quit, Print, and Help buttons when not in use.

Bubble speed: This sets the speed at which the color bubbles float.

Parental password: Enter the parental password here. You cannot leave this box blank! Make sure you remember your password!

Open the 'colored pictures' folder: Click here to open the folder where all the pictures that have so far been colored are stored (more details).


New Page 1

How to open a picture

The 'Open a picture' screen is brought up when you first run The MagicBook. It can also be brought up by clicking on the open button in the main window.

Clicking on any of the small thumbnails will open that particular picture, ready to be painted onto.

The 'Never mind' button will close this window and go back to the main program interface.


Using the toolbar

Please click on the various items on the picture below to learn what they do!

Please note that depending on your settings, the parental buttons (the small buttons on the top, left corner) may not always be visible. If you have selected 'Auto hide parental buttons', you will need to place the mouse pointer over that area for 1 second before the buttons popup.


Dealing with message boxes

When the child tries to access a locked item or an error occurs, a child friendly message box will displayed. You are able to get detailed information by clicking the 'Details' button.

Some message boxes require you to enter a password when you try to gain access to parts of the program that are locked. These include:

  • Quitting the program

  • Changing the settings

  • Adding more pictures to the program

In this case, enter the parental password and press 'OK'. If it is wrong, the only thing you can do is to press 'Never mind'... so never forget your password!


New Page 1

Saving pictures

The MagicBook acts like any normal coloring book. There is no need to manually save pictures, it is all done automatically.

If you wish to access the stored image, they can be found in the application path and '\coloured pictures' folder (further details here).

All pictures are saved as compressed 'Jpg' format so as to the required reduce disk space.


New Page 1

Printing pictures

Printing is simple! Just click on the print button located on the parental buttons and choose your settings in the standard printer dialog box. Details on how to deal with the parental buttons can be found in the Using the toolbar section.

If you have set parental lock on this feature, you will need to enter it when prompted, then click 'OK'.

The picture is automatically resized to fit onto the paper.


New Page 1

Installing new pictures

There are two ways of installing new pictures for use within The MagicBook.

  • Installing The MagicBook 'Picture Packs'
  • Manually copying pictures to The MagicBook 'Books' folder.

Installing The MagicBook 'Picture Packs'

The MagicBook Picture Packs can be downloaded from The MagicBook website. These files have the extension '.mpk' and can be installed for use from within the main program. Please follow the steps below to install the files:

1. Download a Picture Pack by going to The MagicBook download page (www.nirp.co.uk/themagicbook/downloads_pp.htm). Save it to a directory you can easily trace back to.

2. Run The MagicBook.

3. On the open pictures window, click on 'More pictures' (button on the bottom left of the window).

4. Enter your password when prompted to do so, then click 'OK'.

5. Click 'Add pictures (from a saved .mpk file)'.

6. Locate the Picture Pack you downloaded in step 1, then click 'Open'.

7. If the instillation was successful, a message box will prompt you to click the 'Open a picture' button on the main window.

8. The new pictures will be listed in the pictures window.

Manually copying pictures to The MagicBook 'Books' folder.

If you have a 'Power user version' of The MagicBook, you can also install your own pictures by simply copying them to The MagicBook 'Books' folder. Please note that The MagicBook is only able to deal with specific types of files, restrictions are as follows:

  • Files must be of '.bmp' (Windows Bitmap) format
  • They must be pure Black and White (with no shades of grey)

You are advised to make sure that the pictures are of the correct resolution for the monitor that you are using as The MagicBook does not resize the pictures.

Once you have gathered the pictures you wish to add, please follow the instructions below.

1. Locate The MagicBook instillation path; this by default in in the programs files directory, e.g. (C:\Program files\The MagicBook\)

2. Locate and open the 'Books' folder in The MagicBook directory. Here, you will see one or more folders, e.g. 'Animals'.

3. Create a new folder with any title suitable for the group of pictures you have prepared.

4. Copy your pictures into this new folder.

5. Run The MagicBook, you should see your pictures listed in the 'Open a picture' window.


Managing pictures

This section will tell you how to access painted pictures from Windows Explorer. You may want to do this in order to:

  • Delete all the colored pictures and start afresh
  • Copy/save colored pictures to another location
  • Print with more options
  • Send colored pictures to other people

All the colored pictures are stored in the 'colored pictures' directory in The MagicBook application path.

You can delete any folder or file within the 'colored pictures' folder, but you are advised not to edit or add any files/folders of your own.

You can access the pictures through two different methods:

Through the 'Parental settings' window (recommended)

1. Open the 'Parental options' window by clicking the settings button in the main window (the fourth parental button)

2. In the options window, click on 'Open the 'colored pictures' folder'

3. Click 'Continue' in the the warning window that appears

Directly through Windows Explorer

1. Locate The MagicBook instillation path, this, by default in in the programs files directory, e.g. 'C:\Program files\The MagicBook\'

2. The 'colored pictures' folder should be located within the folder you found in step 1

3. Within the 'colored pictures' folder, there may be multiple directories containing all the pictures that have been painted so far


System requirements

To run The MagicBook, your computer must have one of the following Windows operating systems:

  • Windows 98
  • Windows 2000 Professional
  • Windows XP Professional/Home Edition

Your computer must also meet the following minimum requirements.

  • Windows 98
  • Windows 2000 Professional Edition, Service Pack 3 or greater
  • Intel Pentium processor (or compatible) at 133 MHz or higher
  • 64 MB of RAM
  • 20 MB of available hard disk space
  • Internet Explorer 6.0 or later
  • 16 MB video card supporting a display of 800 by 600 with 24 bit (true) color mode
  • Sound card, Keyboard and mouse.


Uninstalling The MagicBook

If you need to remove The MagicBook from your computer, you can use the Add/Remove Programs option from the Windows Control Panel. Please follow the steps outlined below.

1) On the Windows taskbar, click Start, click Settings, and click Control Panel (On the Windows XP taskbar, click Start, and click Control Panel.)

2) In the Control Panel, double-click Add/Remove Programs.

3) In the list of currently installed programs, click The MagicBook.

4) Click on 'Remove' and follow the on screen instructions.


License agreement

Please read the relevant parts of this document before you start using The MagicBook software.

The MagicBook V4
Copyright (C) 2004-2006 NirP Softwares
All rights reserved

This The MagicBook Software License Agreement is a legal agreement between you (either an individual or a single entity) and NirP Softwares for the software product known as The MagicBook which includes computer software as well as associated media and printed materials, and may include "online" or electronic documentation.

The following section applies only to the 'Freeware' version of The MagicBook.

You are granted the right to distribute The MagicBook (Freeware version) instillation software providing that you do not translate, reverse engineer, modify or patch the The MagicBook (Freeware version) executable files or documentation in any way.

The MagicBook (Freeware version) should NOT be distributed in conjunction with any other product without prior permission of NirP Softwares.

If you have purchased any 'Picture Packs' for use within The MagicBook, you are only entitled to install the 'Picture Pack' in one computer.

The following section applies only to the 'Power user' version of The MagicBook.

The translation, reverse engineering, modification or patching of The MagicBook (Power user version) is strictly prohibited.

You have not been granted the right to distribute The MagicBook (Power user version) executable file or any other files included with The MagicBook (Power user version) program.

You are granted the right to install multiple copies of this copy of The MagicBook (Power user version) on more than one computer provided that all computers are located within the same address for which The MagicBook (Power user) version was bought.

If you have purchased any 'Picture Packs' for use within The MagicBook (Power user version), you are entitled to install the 'Picture Pack' in more than one computer provided that all computers are located within the same address for which The MagicBook (Power user) version was bought.

The following section applies to both the 'Freeware' version and the 'Power user' version of The MagicBook.

DISCLAIMER OF WARRANTY; LIMITATIONS OF LIABILITY:
THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

NIRP SOFTWARES HAS TESTED THE SOFTWARE EXTENSIVELY IN NUMBER OF DIFFERENT SETUPS, AND COMPUTER SYSTEMS , BUT YOU ASSUME THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE. NIRP SOFTWARES AND HIS AUTHORIZED DISTRIBUTORS ASSUME NO RESPONSIBILITY FOR THE ACCURACY OR APPLICATION OF OR ERRORS OR OMISSIONS IN THE SOFTWARE.

IN NO EVENT SHALL NIRP SOFTWARES OR HIS AUTHORIZED DISTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE, EVEN IF NIRP SOFTWARES OR HIS AUTHORIZED DISTRIBUTORS HAVE BEEN ADVISED OF THE LIKELIHOOD OF SUCH DAMAGES OCCURRING. NIRP SOFTWARES AND HIS AUTHORIZED DISTRIBUTORS SHALL NOT BE LIABLE FOR ANY LOSS, DAMAGES OR COSTS, ARISING OUT OF, BUT NOT LIMITED TO, LOST PROFITS OR REVENUE, LOSS OF USE OF THE SOFTWARE OR THE MEDIA, LOSS OF DATA OR EQUIPMENT, THE COSTS OF RECOVERING THE SOFTWARE, THE MEDIA, DATA OR EQUIPMENT, THE COSTS OF RECOVERING THE SOFTWARE, THE MEDIA, DATA OR EQUIPMENT, THE COST OF SUBSTITUTE SOFTWARE, MEDIA, DATA OR EQUIPMENT OR CLAIMS BY THIRD PARTIES, OR OTHER SIMILAR COSTS. SINCE LOCAL LEGISLATION IN SOME COUNTRIES DOES NOT ALLOW ANY EXCLUSION OR LIMITATION OF IMPLIED WARRANTIES OR LIMITATION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES; THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU.


New Page 1

Power User version compared with the Freeware version

There are currently two versions of The MagicBook avaible for download, namely the Power User version and the Freeware version. The differences between the two are outlined below.

The MagicBook Freeware version

  • Comes ready with 5 pre-installed pictures.
  • Only accepts new pictures in the form of 'Picture Packs'
  • Does not allow the use of purchased Picture Packs on multiple computers

The MagicBook Power User version

The Power User version is suitable for those who require more flexibility with the software, such as verious institutes (e.g. schools) and those with multiple computers.

  • Add any pictures (not just limited to the Picture Packs)
  • Multiple user licence (install purchased Power Packs and The MagicBook onto multiple computers)
  • Comes ready with 100 pre-installed picture


Contact me

If you would like help on any issue not covered by this help file, please feel free to e-mail and I will try to reply as soon as I can.

Please click the following link to visit The MagicBook contact page: www.nirp.co.uk/themagicbook/contact.htm (Recommended)

If you would like to e-mail me without going to The MagicBook website, my email address is: root@nirp.co.uk